> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Roles Details API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To get complete information of all users and their associated roles in the account.

<Note>
  This API requires a JWT generated by an application created only from the Admin Console.
</Note>

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                              |
| **Endpoint**      | `https://{{host}}/api/public/alluserroles?`                                                                                      |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: Profile Management > Role Management                                                 |

## Path Parameters

| Parameter | Description                                               |
| --------- | --------------------------------------------------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai`. |

## Sample Request

```bash theme={null}
curl -X GET \
  https://{{host}}/api/public/alluserroles?limit=2 \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'
```

## Sample Response

```json theme={null}
{
    "total": 10,
    "availableMore": true,
    "users": [
        {
            "username": "john.doe@example.com",
            "orgUserId": "org assigned user id",
            "accountId": "<id>",
            "isDeveloper": true,
            "canCreateBot": true,
            "userId": "u-xxx-xxx-xxx-xxx-xxxxx",
            "btRoles": [],
            "adminRoles": []
        },
        {
            "username": "john.doe@example.com",
            "orgUserId": "org assigned user id",
            "accountId": "<id>",
            "isDeveloper": true,
            "canCreateBot": true,
            "userId": "u-xxxxx-xxx-xxx-xxx-xxxxx",
            "btRoles": [
                {
                    "roleId": "5c04ae921ad9976d311xxxxx",
                    "roleName": "Bot Developer",
                    "groups": [],
                    "botId": "st-fd7c7396-82c1-5916-972d-6bfe690xxxxx",
                    "botName": "Example Bot"
                }
            ],
            "adminRoles": []
        }
    ]
}
```
